"use strict";
const sheep_request_index = require("../../request/index.js");
const SignInApi = {
  // 获得签到规则列表
  getSignInConfigList: () => {
    return sheep_request_index.request({
      url: "/member/sign-in/config/list",
      method: "GET"
    });
  },
  // 获得个人签到统计
  getSignInRecordSummary: () => {
    return sheep_request_index.request({
      url: "/member/sign-in/record/get-summary",
      method: "GET"
    });
  },
  // 获得
  getOwnSignInMoon: (params) => {
    return sheep_request_index.request({
      url: "/member/sign-in/record/get-own-signInMoon",
      method: "GET",
      params
    });
  },
  // 签到
  createSignInRecord: () => {
    return sheep_request_index.request({
      url: "/distri/user-sign-in-log/create",
      method: "POST"
    });
  },
  // 获得签到记录分页
  getSignRecordPage: (params) => {
    console.log(params);
    const queryString = Object.keys(params).map((key) => encodeURIComponent(key) + "=" + params[key]).join("&");
    return sheep_request_index.request({
      url: `/member/sign-in/record/page?${queryString}`,
      method: "GET"
    });
  }
};
const __vite_glob_0_7 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: SignInApi
}, Symbol.toStringTag, { value: "Module" }));
exports.SignInApi = SignInApi;
exports.__vite_glob_0_7 = __vite_glob_0_7;
